got error while installing chef client

[root@sanjasv1 tmp]# chef --version

/opt/chefdk/embedded/bin/ruby: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /opt/chefdk/embedded/lib/libruby.so.2.4)

/opt/chefdk/embedded/bin/ruby: /lib64/libc.so.6: version `GLIBC_2.17' not found (required by /opt/chefdk/embedded/lib/libruby.so.2.4)


  • post-author-pic
    Sean G
    08-27-2018

    which distribution did you use when installing?

  • post-author-pic
    Sanjay K
    08-27-2018

    curl -O https://packages.chef.io/files/stable/chefdk/2.5.3/el/7/chefdk-2.5.3-1.el7.x86_64.rpm


  • post-author-pic
    Sanjay K
    08-27-2018

    Do i need to use any other version but i tried cent os 6.10


  • post-author-pic
    Keith T
    08-28-2018

    That RPM is for CentOS/RedHat 7 not 6. You'll need to find an rpm for el6 or switch to using CentOS 7. Getting those to match should resolve the issue.

Looking For Team Training?

Learn More